echo off
rem findmod   input  @@1 : current flame pointer
rem           output @@2 : current top address of function
if @@1<>0
   let @1=ml(ml(@@1+4)-4)
   let @2=ml(@@1+4)-2
   if @1>=4eba0000h
      let @1=@1-4eba0000h
      if @1>=8000h
         let @1=10000h-@1
         let @1=@2-@1
      else
         let @1=@2+@1
      endi
   endi
   let @@2=@1
else
   let @@2=0
endi
